﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace AircraftCarrier
{
    [Serializable]
    internal class AircraftCarrierNotFoundException: ApplicationException
    {
        public AircraftCarrierNotFoundException(int i) : base($"Не найден объект по позиции{ i}") { }
        public AircraftCarrierNotFoundException() : base() { }
        public AircraftCarrierNotFoundException(string message) : base(message) { }
        public AircraftCarrierNotFoundException(string message, Exception exception) : base(message, exception)
        { }
        protected AircraftCarrierNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}