﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftCarrier
{
    public class EntityAircraftCarrier
    {
        public int Speed { get; private set; }
        public float Weight { get; private set; }
        public Color BodyColor { get; set; }
        public float Step => Speed * 100 / Weight;
        public EntityAircraftCarrier(int speed, float weight, Color bodyColor)
        {
            Random rnd = new Random();
            Speed = speed <= 0 ? rnd.Next(50, 150) : speed;
            Weight = weight <= 0 ? rnd.Next(40, 70) : weight;
            BodyColor = bodyColor;
        }
    }
}