﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;

namespace AircraftCarrier
{
    internal class EntityModernAircraftCarrier : EntityAircraftCarrier
    {
        public Color DopColor { get; set; }
        public bool FlightDeck { get; private set; }
        public bool HangarDeck { get; private set; }
        public bool Route { get; private set; }
        public EntityModernAircraftCarrier(int speed, float weight, Color bodyColor, Color dopColor, bool flightDeck, bool hangarDeck, bool route) : base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
            FlightDeck = flightDeck;
            HangarDeck = hangarDeck;
            Route = route;
        }
    }
}